# Class PageNumberElement

#### Hierarchy

- EmptyElement
  - PageNumberElement

- Defined in file/paragraph/run/empty-children.ts:105

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageNumberElement(): PageNumberElement

- #### Returns PageNumberElement

  Overrides EmptyElement.constructor

  - Defined in file/paragraph/run/empty-children.ts:106

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from EmptyElement.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from EmptyElement.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc